Bug 826741 - Empty menus in LibreOffice
Empty menus in LibreOffice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 17:03 EDT by Matej Lazar
Modified: 2013-08-01 09:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
empty menu in libre office (45.45 KB, image/png)
2012-05-30 17:03 EDT, Matej Lazar
no flags Details
registrymodifications.xcu (12.39 KB, application/xml)
2012-05-31 04:43 EDT, Matej Lazar
no flags Details
monitor position causing menu problem (24.72 KB, image/png)
2012-06-01 17:39 EDT, Matej Lazar
no flags Details
lspci verbose (10.87 KB, text/plain)
2012-06-01 17:40 EDT, Matej Lazar
no flags Details

  None (edit)
Description Matej Lazar 2012-05-30 17:03:44 EDT
Created attachment 587855 [details]
empty menu in libre office

The menus (File, Edit, View, Insert, Format) are empty, they apear as there is no height (see attached print screen).
Remaining menus (Table, Tools, Window, Help) are working, but second level has the same issue. Also context manu, right click in the doc space is empty.

Version-Release number of selected component (if applicable):
F17 all updates installed
LibreOffice 3.5.3.2; Build ID: 350m1(Build:2)
Comment 1 Caolan McNamara 2012-05-30 19:05:27 EDT
Works quite normally and expected for me. Fresh install of fedora ? or one that was upgraded from something else. Stock gnome3 or something else ?. Dual booting with a shared home dir ? Anything of that nature that might be considered a little out of the norm ?

I'd kind of expect to be flooded with bug reports if this was common, so trying to tease out what might be the unusual trigger.
Comment 2 Matej Lazar 2012-05-31 04:10:03 EDT
I did a fresh oinstall of F17 few weeks ago and updated it regularly. Home dir was copied from another machine with F16 instalation.
Using gnome3, no dual boot or shared home. I also tried to remove LibreOffice settings dir under home, but no effect.

What could be connected: dual monitor, F16 gnome shell cannot run on this machine (fallback mode only). It is a Dell latitude E6510 laptop.
Comment 3 Stephan Bergmann 2012-05-31 04:24:31 EDT
(In reply to comment #2)
> I did a fresh oinstall of F17 few weeks ago and updated it regularly. Home
> dir was copied from another machine with F16 instalation.
> Using gnome3, no dual boot or shared home. I also tried to remove
> LibreOffice settings dir under home, but no effect.

Note that the location of the "LibreOffice settings dir under home" changed from F16's LO 3.4 (~/.libreoffice) to F17's LO 3.5 (~/.config/libreoffice).  Upon first start of LO 3.5, an existing ~/.libreoffice/3/user will be migrated (copied partially) to a new ~/.config/libreoffice/3/user (and the old source marked with a ~/.libreoffice/3/MIGRATED flag file, so that migration is not attempted again in case it caused problems).

So, if you only removed ~/.libreoffice after LO 3.5 already migrated it to ~/.config/libreoffice, the problem you observe could still be caused by a bad migration of your old user data.  In that case, can you make available the content of your ~/.config/libreoffice/3/user/registrymodifications.xcu?  (It is an XML file that should not contain any really personal data, but you could send it directly if you do not want to attach it here.)
Comment 4 Matej Lazar 2012-05-31 04:43:04 EDT
Created attachment 587979 [details]
registrymodifications.xcu
Comment 5 Matej Lazar 2012-05-31 04:45:41 EDT
This time I tried to remove also ~/.libreoffice folder. The problem persists.

I attached registrymodifications.xcu.
Comment 6 Stephan Bergmann 2012-05-31 04:57:11 EDT
(In reply to comment #5)
> This time I tried to remove also ~/.libreoffice folder. The problem persists.

So, originally you had only removed ~/.config/libreoffice?

> I attached registrymodifications.xcu.

Anyway, I cannot reproduce the problem when running my LO with your registrymodifications.xcu.  So it looks like the problem is somewhere other than migration of that file from an old user configuration.
Comment 7 Matej Lazar 2012-05-31 05:04:10 EDT
Yes, originaly I have removed only ~/.config/libreoffice.
Comment 8 Matej Lazar 2012-05-31 06:39:50 EDT
It is a dual monitor issue. I don't kno why I didn't try before, but after disabling/enabling a second monitor menus are woring.

Bug is reproducible by placing monitors in vertical order, one above the other.
Comment 9 David Tardon 2012-06-01 06:08:39 EDT
(In reply to comment #8)
> It is a dual monitor issue. I don't kno why I didn't try before, but after
> disabling/enabling a second monitor menus are woring.
> 
> Bug is reproducible by placing monitors in vertical order, one above the
> other.

It is most probably X driver problem. It works fine here with both gtk and kde4 VCL plugin. Which graphic card do you have?
Comment 10 Matej Lazar 2012-06-01 17:39:19 EDT
Created attachment 588583 [details]
monitor position causing menu problem
Comment 11 Matej Lazar 2012-06-01 17:40:07 EDT
Created attachment 588584 [details]
lspci verbose
Comment 12 Matej Lazar 2012-06-01 17:45:12 EDT
Playing a little more with monitor positioning, I found out that my configuration  was a bit extreme.
If I move the upper monitor to the left (see attachment) or if I move both in a horizontal line, menus are working.

I attacheg also my lspci output.
Comment 13 Fedora End Of Life 2013-07-04 00:26:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 09:33:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.